/*
* Portions of this file Copyright 1999-2005 University of Chicago
* Portions of this file Copyright 1999-2005 The University of Southern California.
*
* This file or a portion of this file is licensed under the
* terms of the Globus Toolkit Public License, found at
* http://www.globus.org/toolkit/download/license.html.
* If you redistribute this file, with or without
* modifications, you must include this notice in the file.
*/
package org.globus.mds.usefulrp.rpprovider;

import org.w3c.dom.Element;

/** 
 *  This interface defines a callback method that must be implemented
 *  in order to process the result Element of a 
 *  <code>ResourcePropertyElementProducer</code>
 *  that is executed by a <code>ResourcePropertyProviderTask</code>.
*/

public interface ResourcePropertyProviderListener
{
     public void executionPerformed(Element element) throws Exception;
}
